@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';


@import "../support/_pcmbackoffice_general-variables.scss";

.yw-pcmbackoffice-contents {
    .yw-dashboard {
        > .yw-dashboard-container {
            max-width: $pcmbackoffice__dashboard-container--max-width;
            margin: 0 auto;
            position: relative;

            > .z-div:only-child {
                display: inline-block;
                width: 100%;
            }
        }
        .yw-children-container .yw-dashboard-column:before {
            display: none;
        }
        .yw-dashboard-lock {
            top: $pcmbackoffice__dashboard-lock--top;
        }
        .yw-generic-chart-infoContainer,
        .yw-product-stats-container-bottom-pane .yw-product-stats-chart-info-container,
        .yw-solrfacetchart-bottompanel{
            background-color: $pcmbackoffice__dashboardbottompanel-stats--bg-color;
        }
        .yw-product-stats-container-bottom-pane .yw-product-stats-chart-info-container,
        .yw-solrfacetchart-bottompanel-onepoint {
            border-top: ($pcmbackoffice__dashboardbottompanel-entry--border-width * 2) solid $pcmbackoffice__dashboardbottompanel-entry--border-color;
        }
        .yw-solrfacetchart {
            overflow: hidden;
            
            &-bottompanel {
                flex-wrap: wrap;
                margin-right: $pcmbackoffice__dashboardbottompanel-entry--border-width * -1;
                margin-left: $pcmbackoffice__dashboardbottompanel-entry--border-width * -1;
                width: calc(100% + (#{$pcmbackoffice__dashboardbottompanel-entry--border-width * 2}));

                &-onepoint {
                    background-color: transparent;
                    border-left: $pcmbackoffice__dashboardbottompanel-entry--border-width solid $pcmbackoffice__dashboardbottompanel-entry--border-color;
                    border-right: $pcmbackoffice__dashboardbottompanel-entry--border-width solid $pcmbackoffice__dashboardbottompanel-entry--border-color;
                    min-width: $pcmbackoffice__dashboardbottompanel-facetchart-entry--min-width;
                    padding-left: $pcmbackoffice__dashboardbottompanel-facetchart-entry--padding;
                    padding-right: $pcmbackoffice__dashboardbottompanel-facetchart-entry--padding;
                    display: -webkit-box;
                    display: -webkit-flex;
                    display: -ms-flexbox;
                    display: flex;
                    -webkit-box-orient: vertical;
                    -webkit-box-direction: normal;
                    -webkit-flex-direction: column;
                    -ms-flex-direction: column;
                    flex-direction: column;
                    -webkit-box-align: center;
                    -webkit-align-items: center;
                    -ms-flex-align: center;
                    align-items: center;
                    -webkit-box-pack: center;
                    -webkit-justify-content: center;
                    -ms-flex-pack: center;
                    justify-content: center;

                    &:hover {
                        background-color: $pcmbackoffice__dashboardbottompanel-stats-hover--bg-color;
                    }
                    &:first-child {
                        border-left-color: transparent;
                    }
                    &-label {
                        margin-top: $pcmbackoffice__dashboardbottompanel-facetchart-label--margin-top;
                    }
                }
            }
            &-toppanel {
                overflow: visible;

                &-facetchooser {
                    max-width: 60%;
                    
                    .z-combobox {
                        display: block;
                        white-space: nowrap;
                        max-width: 100%;
                        text-align: right;

                        &-button {
                            width: $pcmbackoffice__dashboard-facetchooser-button--width;
                            display: inline-block;
                            text-align: center;
                        }
                        &-input {
                            max-width: $pcmbackoffice__dashboard-facetchooser-input--max-width;
                            width: calc(100% - #{$pcmbackoffice__dashboard-facetchooser-button--width});
                            display: inline-block;
                            text-align: left;
                        }
                    }
                }
                .yw-solrfacetchart-chart-title {
                    line-height: $pcmbackoffice__dashboard-chart-title--line-height;
                    display: block;
                }
            }
        }
        .yw-product-stats-container-right-pane .ye-text-button {
            white-space: normal;
        }
        .yw-product-stats-container-bottom-pane .yw-product-stats-chart-info-container {
            padding: 0;
        }
        .yw-product-stats-container-bottom-pane .yw-product-stats-chart-info-container .yw-product-stats-chart-info-container-wrapper {
            padding: $pcmbackoffice__dashboard-stats-container--padding;
            border-left: ($pcmbackoffice__dashboardbottompanel-entry--border-width * 2) solid $pcmbackoffice__dashboardbottompanel-entry--border-color;

            &:first-child {
                border-left-color: transparent;
            }
        }

        .yw-dashboard-top-container {
            overflow: visible;

            > .yw-dashboard-column {
                padding: $pcmbackoffice__dashboard-top-container-column--padding;
            }
        }
        
        .yw-dashboard-column {
            display: -webkit-box;
            display: -webkit-flex;
            display: -ms-flexbox;
            display: flex;
            padding: 0;
            -webkit-box-orient: vertical;
            -webkit-box-direction: normal;
            -webkit-flex-direction: column;
            -ms-flex-direction: column;
            flex-direction: column;
            -webkit-box-flex: 1;
            -webkit-flex: 1 1 auto;
            -ms-flex: 1 1 auto;
            flex: 1 1 auto;
            -webkit-box-pack: stretch;
            -webkit-justify-content: stretch;
            -ms-flex-pack: stretch;
            justify-content: stretch;


            .yw-dashboard-column {
                overflow: visible;
            }

            .yw-dashboard-slot {
                margin: $pcmbackoffice__dashboard-slot--margin;
                height: $pcmbackoffice__dashboard-slot--height;
                box-shadow: $pcmbackoffice__dashboard-slot--box-shadow;
                flex: 1 1 auto;
                padding-bottom: 0;

                .yw-dashboard-slot-draggable {
                    z-index: 100;
                }
                &[style*="height:#{$pcmbackoffice__dashboard-row--height}"],
                &[style*="height: #{$pcmbackoffice__dashboard-row--height}"]{
                    min-height: ($pcmbackoffice__dashboard-row--height - $pcmbackoffice__dashboard-slot-gap--size);
                }
            }
            > .yw-dashboard-slot {
                display: -webkit-box;
                display: -webkit-flex;
                display: -ms-flexbox;
                display: flex;
                -webkit-box-align: stretch;
                -webkit-align-items: stretch;
                -ms-flex-align: stretch;
                align-items: stretch;
                
                > .widget_cnt {
                    min-height: 100%;
                    width: 100%;
                    height: auto;
                }
            }

            .yw-dashboard-row {
                display: -webkit-box;
                display: -webkit-flex;
                display: -ms-flexbox;
                display: flex;
                -webkit-flex-wrap: wrap;
                -ms-flex-wrap: wrap;
                flex-wrap: wrap;
                -webkit-box-flex: 1;
                -webkit-flex: 1 1 auto;
                -ms-flex: 1 1 auto;
                flex: 1 1 auto;
            }
            @media (max-width: $pcmbackoffice__dashboard-bp-m--max-width){
                width: 100% !important;

                .yw-dashboard-slot {
                    margin: 0;
                }

                .yw-dashboard-row {
                    height: auto;
                    min-height: $pcmbackoffice__dashboard-row--height;
                    display: block;
                    width: 100%;
                }
            }
        }
        @media screen and (max-width: $pcmbackoffice__dashboard-bp-m--max-width){
            .yw-dashboard-column[style*="width:50.0%"],
            .yw-dashboard-column[style*="width: 50%"],
            .yw-dashboard-column[style*="width:50%"]{
                width: 100% !important;

                > .yw-dashboard-slot {
                    height: auto !important;
                    margin-bottom: 0;
                    width: 100%;

                    &[style*="height:"]{
                        margin-bottom: $pcmbackoffice__dashboard-slot-gap--size;
                    }
                    &[style*="height:#{$pcmbackoffice__dashboard-row--height}"],
                    &[style*="height: #{$pcmbackoffice__dashboard-row--height}"]{
                        height: auto !important;
                    }
                }
                .yw-dashboard-empty-fill {
                    display: none;
                }
            }
        }

        &-slot .z-drag-matching-drop-target.z-drag-over .yw-collaboration-center-sidebar {
            opacity: $pcmbackoffice__dashboard-collaboration-drag-over--opacity;
        }

        .yw-collaboration-center-sidebar {
            @media screen and (max-width: $pcmbackoffice__dashboard-bp-m--max-width){
                height: $pcmbackoffice__dashboard-collaboration-bp-m--height !important;
                min-height: $pcmbackoffice__dashboard-collaboration-bp-m--height;
            }
            .z-north,
            .z-tabbox-top,
            .yw-layoutregion {
                &,
                & > div {
                    width: $pcmbackoffice__dashboard-collaboration--width;
                }
            }

            .z-north {
                &,
                > div{
                    height: $pcmbackoffice__dashboard-collaboration-toppanel--height;
                }
            }

            .yw-layoutregion {
                top: $pcmbackoffice__dashboard-collaboration-content--top;
            }

            .yw-collaboration-center-title .z-label {
                font-size: $pcmbackoffice__dashboard-collaboration-toppanel-label--font-size;
                font-weight: normal;
            }

            .yw-collaboration-center-styled {
                background-color: $pcmbackoffice__dashboard-collaboration-toppanel--bg-color;
                padding: $pcmbackoffice__dashboard-collaboration-toppanel--padding;

                .yw-toolbar-actions,
                .yw-toolbar-after {
                    padding: 0;
                }
            }

            .yw-workflows-list,
            .yw-workflow-actions-list {
        
                .yw-workflows-list-content-top,
                .yw-workflow-actions-list-content-top {
                    display: -webkit-box; 
                    display: -moz-box;
                    display: -ms-flexbox;
                    display: -webkit-flex; 
                    display: flex;

                    .yw-show-menu-action-container {
                        -webkit-box-flex: auto; 
                        -webkit-flex: auto;
                        -ms-flex: auto;         
                        flex: auto;
                        max-width: $pcmbackoffice__dashboard-collaboration-workflowlist-menu-action--max-width;
                        -webkit-box-ordinal-group: 4;
                        -moz-box-ordinal-group: 4;
                        -ms-flex-order: 4; 
                        -webkit-order: 4; 
                        order: 4;
                    }

                    .yw-workflows-list-title,
                    .yw-workflow-actions-list-title {
                        -webkit-box-flex: 4 2 50%;     
                        -webkit-flex: 4 2 50%;
                        -ms-flex: 4 2 50%;           
                        flex: 4 2 50%;
                        -webkit-box-ordinal-group: -1;
                        -moz-box-ordinal-group: -1;
                        -ms-flex-order: -1; 
                        -webkit-order: -1; 
                        order: -1;
                        font-weight: $pcmbackoffice__dashboard-collaboration-workflowlist-list-title--font-weight;
                        color: $pcmbackoffice__dashboard-collaboration-workflowlist-list-title--color;
                    }

                    > .z-label {
                        flex: 1 1 auto;
                        -webkit-box-flex: 1 1 150px; 
                        -webkit-flex: 1 1 150px;
                        -ms-flex: 1 1 150px;         
                        flex: 1 1 150px;
                        -webkit-box-ordinal-group: 2;
                        -moz-box-ordinal-group: 2;
                        -ms-flex-order: 2; 
                        -webkit-order: 2; 
                        order: 2;
                        text-align: right;
                        padding-right: $pcmbackoffice__dashboard-collaboration-workflowlist-label--padding-right;
                        color: $pcmbackoffice__dashboard-collaboration-workflowlist-date-label--color;

                        &:last-child {
                            -webkit-box-ordinal-group: 1;
                            -moz-box-ordinal-group: 1;
                            -ms-flex-order: 1; 
                            -webkit-order: 1; 
                            order: 1;
                            color: $pcmbackoffice__dashboard-collaboration-workflowlist-label--color;
                        }
                    }
                }
                .yw-workflows-list-content-bottom,
                .yw-workflow-actions-list-content-middle {
                    padding-top: $pcmbackoffice__dashboard-collaboration-workflowlist-bottompanel--padding-top;

                    .yw-workflows-list-subtitle,
                    .z-label {
                        font-size: $pcmbackoffice__dashboard-collaboration-workflowlist-bottompanel--font-size;
                    }
                }
            }

            .yw-collaboration-center-tabs {
                @media screen and (min-width: $pcmbackoffice__dashboard-collaboration-bp-m--min-width){
                    .z-tabs-content {
                        display: -webkit-box; 
                        display: -moz-box;
                        display: -ms-flexbox;
                        display: -webkit-flex; 
                        display: flex;

                        .z-tab {
                            -webkit-box-flex: 0 1 $pcmbackoffice__dashboard-collaboration-tab--width;     
                            -webkit-flex: 0 1 $pcmbackoffice__dashboard-collaboration-tab--width;
                            -ms-flex: 0 1 $pcmbackoffice__dashboard-collaboration-tab--width;           
                            flex: 0 1 $pcmbackoffice__dashboard-collaboration-tab--width;

                            .ie & {
                                width: $pcmbackoffice__dashboard-collaboration-tab--width;
                            }

                            .z-tab-content {
                                padding: 0;
                            }
                        }
                    }
                }
            }
        }
    }
}

.z-drag-ghost.yw-dashboard-slot-ghost .yw-collaboration-center-sidebar {
    @media screen and (min-width: $pcmbackoffice__dashboard-collaboration-bp-m--min-width){
        min-width: $pcmbackoffice__dashboard-collaboration-drag-ghost-bp-m--min-width;
        min-height: $pcmbackoffice__dashboard-collaboration-bp-m--height;
        background-color: $pcmbackoffice__dashboard-collaboration-on-drag--bg-color;

        > .z-borderlayout {
            min-height: $pcmbackoffice__dashboard-collaboration-bp-m--height;
            background: transparent;

            > div {
                overflow: hidden;

                > .z-north {
                    position: relative;
                    max-width: $pcmbackoffice__dashboard-collaboration-drag-ghost--max-width;
                }
            }
            .z-center,
            .z-center-body,
            .z-north-body,
            .z-tabs {
                max-width: $pcmbackoffice__dashboard-collaboration-drag-ghost--max-width;
            }
        }
    }
}